parseDescription.c File Reference
RPMBUILD.

Parse description section from spec file. More...

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmlog.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
Include dependency graph for parseDescription.c:

Go to the source code of this file.

## Functions

int | parseDescription (Spec spec)
| Parse %description section of a spec file. More...

## Variables

int | noLang
static const char * | name = NULL
static const char * | lang = NULL
static struct poptOption | optionsTable []

## Detailed Description

Parse description section from spec file.

Definition in file parseDescription.c.

## Variable Documentation

const char* lang = NULL

static

Definition at line 23 of file parseDescription.c.

Referenced by addFile(), headerAddI18NString(), headerFindI18NString(), parseDescription(), parsePreamble(), and skipFiles().

const char* name = NULL

static

Definition at line 21 of file parseDescription.c.

Referenced by addChangelog(), addChangelogEntry(), findTag(), Fts_read(), getMachineInfo(), glob(), glob_in_dir(), headerGet(), keyValue(), lookupInDefaultTable(), myTagName(), parseForAttr(), parseForConfig(), parseForDev(), parseForLang(), parseForVerify(), parsekey(), parseNoSource(), printFileInfo(), rebuildCompatTables(), rpmdbRebuild(), rpmfiOpendir(), rpmfts_new(), and rpmioNewPool().

int noLang

Definition at line 61 of file poptBT.c.

Referenced by handlePreambleTag(), and parseDescription().

struct poptOption optionsTable[]

static

Initial value:
= {
{ NULL, 'n', POPT_ARG_STRING, &name, 0, NULL, NULL},
{ NULL, 'l', POPT_ARG_STRING, &lang, 0, NULL, NULL},
{ 0, 0, 0, 0, 0, NULL, NULL}
}

Definition at line 26 of file parseDescription.c.

Referenced by parseDescription().